%global momorel 3
%global svn_date 20070729

%global use_svn 0

Summary:        Themeable window decorator for beryl.
Name:           emerald
Version:        0.7.8
%if %{use_svn}
Release:        0.%{svn_date}.%{momorel}m%{?dist}
%else
Release:        %{momorel}m%{?dist}
%endif
License:        GPL
Group:          User Interface/Desktops
URL:            http://www.compiz-fusion.org/
%if %{use_svn}
Source:         %{name}-%{version}-%{svn_date}.tar.bz2
%else
Source0:     http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
NoSource:    0
%endif
Patch2:         emerald-0.7.8-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       compiz-core >= %{version}
BuildRequires:	gtk2-devel, libwnck-devel
BuildRequires:  compiz-core >= %{version}
BuildRequires:  libwnck-devel >= 2.20.0

%description
Emerald is themeable window decorator for Compiz-Fusion.
Launch Theme Manager from beryl-manager to change themes.

%prep
%if %{use_svn}
%setup -q -n %{name}
%else
%setup -q
%endif

%patch2 -p1 -b .desktop

%build

%if %{use_svn}
./autogen.sh
make distclean
%endif

%configure --disable-mime-update
%make

%install
make DESTDIR=%{buildroot} install

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
update-mime-database %{_datadir}/mime &>/dev/null

%postun
update-mime-database %{_datadir}/mime &>/dev/null

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_includedir}/*
%dir %{_libdir}/emerald
%{_libdir}/emerald/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libemerald*
%{_datadir}/applications/*
%{_datadir}/mime-info/*
%{_datadir}/mime/packages/*
%{_datadir}/icons/hicolor/48x48/mimetypes/*
%{_datadir}/locale/*/LC_MESSAGES/emerald.mo
%{_datadir}/emerald/settings.ini
%{_datadir}/emerald/theme/*
%{_mandir}/man1/*


%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.8-3m)
- rebuild against rpm-4.6

* Tue Oct 21 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.8-2m)
- do not force bz2 man

* Sun Oct 12 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.8-1m)
- update 0.7.8

* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.6-1m)
- update 0.7.6

* Sat May 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.4-2m)
- fix desktop file (add patch2)
- delete patch1 (0byte)

* Sun Apr  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.4-1m)
- update 0.7.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.2-2m)
- rebuild against gcc43

* Sat Mar  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-1m)
- update 0.7.2

* Wed Nov 28 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.0-3m)
- added a patch for gcc43

* Tue Nov 27 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-2m)
- add Source

* Sun Oct 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-1m)
- update 0.6.0-release

* Fri Oct 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-0.1m)
- update 0.6.0

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.2-2m)
- rebuild against libwnck-2.20.0

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Sun Jul 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070729.1m)
- update 20070729

* Thu Jul  5 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-0.20070705.1m)
- update 20070705

* Sun Jun 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-0.20070621.2m)
- change Requires from compiz to compiz-core

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-0.20070621.1m)
- update 20070621

* Tue Jun 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-0.20070612.1m)
- update 20070612

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-0.20070518.1m)
- update 20070518

* Tue Mar 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.1-1m)
- update 0.2.1

* Thu Mar 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.0-1m)
- update 0.2.0

* Thu Feb 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.9999.2-1m)
- update 0.1.9999.2(2.0RC2)

* Wed Feb  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.9999.1-1m)
- update 0.1.9999.1(2.0RC1)

* Thu Jan 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.5-0.20070108-1m)
- update 20070108

* Sun Dec 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.4-20061224-1m)
- update 0.1.4-20061224

* Tue Dec 12 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.3-1m)
- update 0.1.3

* Sun Nov 26 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.3-0.20061126.1m)
- update 20061126-git

* Sat Nov 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.3-0.20061118.1m)
- update 20061118-git

* Wed Nov  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.2-1m)
- update 0.1.2

* Mon Oct 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.2-0.20061021.2m)
- delete libtool library

* Sat Oct 21 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.2-0.20061021.1m)
- update 20061021

* Fri Oct 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.1-0.20061012.1m)
- update 20061012

* Fri Oct  6 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.1-0.20061005.1m)
- update 20061005

* Sun Oct  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1-2m)
- BuildRequires beryl-core

* Sun Oct  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1-1m)
- initial commit

